//
//  MainView.swift
//  AcaMate
//
//  Created by TAnine on 2/4/25.
//

import SwiftUI
import Combine

struct MainView: View {
    @EnvironmentObject var alertController: AlertController
    @State var cancellables: Set<AnyCancellable> = []
    @Binding var naviState : NaviState
    
    var body: some View {
        VStack(spacing: 0) {
            TopView(titleName: "Name")
            
            Spacer()
            
            BottomView()
                .frame(maxWidth: .infinity)
                
//                .backgroundStyle(Color(.Normal.dark))
//                .safeAreaInset(edge: .bottom, spacing: 0) {
//                    Color(.Normal.dark)
////                        .frame(height: 0)
//                }
        }
//        .fullDrawView(Color(.Normal.dark))
    }
}

